m-chrzan.xyz
aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorVon Welch <von@vwelch.com>2014-04-22 22:15:26 -0400
committerVon Welch <von@vwelch.com>2014-04-22 22:15:26 -0400
commit4afed67b4579818d1f2314d16047767f48ef7519 (patch)
tree70103be2e482caff0038002f8ae5b046d8b3c4c5 /tests
parent14aa5aba9d5451ba21582637ef1aa8060a75e15c (diff)
tests: with agent emulation, pass_init() errors if 'pass init' fails
Diffstat (limited to 'tests')
-rwxr-xr-xtests/setup.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/tests/setup.sh b/tests/setup.sh
index d6ba203..df53943 100755
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -54,11 +54,7 @@ pass_init() {
fi
fi
- # This curently returns non-zero for unknown reasons.
- # Only happens with stdin set to /dev/null.
- # I suspect the agent check.
- # TODO: Once fixed, catch non-zero here and fail.
- ${PASS} init ${PASSWORD_STORE_KEY} || true
+ ${PASS} init ${PASSWORD_STORE_KEY} || return 1
echo "Initialization of ${PASSWORD_STORE_DIR} complete."
}